use super::{DhcpOptionError, RawDhcpOption};
use crate::options::DhcpOption;

pub struct BootFileSizeOption;

impl DhcpOption for BootFileSizeOption {
    const CODE: u8 = 13;
    type Item = u16;

    fn parse(option: &RawDhcpOption) -> Result<Self::Item, DhcpOptionError> {
        (option.length == 2)
            .then_some(())
            .ok_or(DhcpOptionError::InvalidLength(option.length, 2))?;
        let data = option.data[..2].try_into().expect("Parser pulled 2 bytes");
        Ok(u16::from_be_bytes(data))
    }
}
