use super::{RawDhcpOption, DhcpOptionError};
use crate::options::DhcpOption;
use core::net::Ipv4Addr;

pub struct DomainName;

impl DhcpOption for DomainName {
    const CODE: u8 = 15;
    type Item = String;

    fn parse(option: &RawDhcpOption) -> Result<Self::Item, DhcpOptionError> {
        let data = core::str::from_utf8(&option.data)?;
        Ok(data.to_string())
    }
}
